Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class IESWithCipherParameters

    java.lang.Object
      org.bouncycastle.crypto.params.IESParameters
          org.bouncycastle.crypto.params.IESWithCipherParameters

All Implemented Interfaces:
  CipherParameters

    public class IESWithCipherParameters

extends IESParameters

Constructor Summary
`IESWithCipherParameters(byte[] derivation, byte[] encoding, int macKeySize, int cipherKeySize)`

Method Summary
`int` | `getCipherKeySize()`

Methods inherited from class org.bouncycastle.crypto.params.IESParameters
`getDerivationV, getEncodingV, getMacKeySize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IESWithCipherParameters

    public IESWithCipherParameters(byte[] derivation,
                                   byte[] encoding,
                                   int macKeySize,
                                   int cipherKeySize)

Parameters:
  `derivation` - the derivation parameter for the KDF function.
  `encoding` - the encoding parameter for the KDF function.
  `macKeySize` - the size of the MAC key (in bits).
  `cipherKeySize` - the size of the associated Cipher key (in bits).

Method Detail

### getCipherKeySize

    public int getCipherKeySize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD